﻿import requests


class Led:

    def __init__(self):
        self.color = [250, 255, 224, 0, 0, 0, 0, 0, 0]  # указываем цвета в формате RGB
        self.zone_range = [0, 167]  # указываем количество диодов
        self.zone_off = [0, 0]
        self.id_led_off = [1, 2, 3]
        self.id_led_unc = -1  # id ленты
        self.led_effect_index = 0  # указываем номер эффекта
        self.speed = 0  # выставляем скорость эффекта
        self.intensity = 0  # указываем номер интенсивность эффекта
        self.palette = 0  # указываем номер палитры
        self.bri_all = 100  # выставляем уровень яркости - общая
        self.bri = 255  # выставляем уровень яркости - сегментов
        self.url = f'http://Ваш IP/json/state'  # IP адрес

    def _led_off(self, id_led_unc):
        segment = {
            "id": id_led_unc,
            "start": self.zone_off[0],
            "stop": self.zone_off[1],
        }
        return segment

    def _led(self):
        segment = {
            "id": self.id_led_unc,
            "start": self.zone_range[0],
            "stop": self.zone_range[1],
            "bri": self.bri,
            "col": [[self.color[0], self.color[1], self.color[2]],
                    [self.color[3], self.color[4], self.color[5]],
                    [self.color[6], self.color[7], self.color[8]]],
            "fx": self.led_effect_index,
            "sx": self.speed,
            "ix": self.intensity,
            "pal": self.palette
        }
        return segment

    def run(self):
        for id_led in self.id_led_off:
            requests.post(self.url, json=({"seg": self._led_off(id_led_unc=id_led)}))
            requests.post(self.url, json=({"on":True,"bri":self.bri_all, "seg": self._led()}))



if __name__ == '__main__':
    led = Led()
    led.run()
